## debian-fbx 3

=== Makefile ===
#!/usr/bin/make -f

BLENDMAKEFILE=/usr/share/blends-dev/Makefile

CheckBlendMakefile := $(shell if [ -e $(BLENDMAKEFILE) ] ; then echo 1 ; else echo 0 ; fi)
ifeq ($(CheckBlendMakefile),1)
    include $(BLENDMAKEFILE)
else
    err := $(shell echo "$(BLENDMAKEFILE) is missing.  Please install blends-dev package!")
endif

dummy:
	@echo $(err)

## debian-fbx 2

=== debian/changelog ===
debian-fbx (2) unstable; urgency=medium

  * Set standards version to 4.5.1

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 16 Jan 2021 10:09:02 -0500

debian-fbx (1) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Initial release. (Closes: #977859)

 -- James Valleroy <jvalleroy@mailbox.org>  Wed, 23 Dec 2020 18:08:23 -0500

=== debian/control ===
# This file is autogenerated. Do not edit!
Source: debian-fbx
Section: misc
Priority: optional
Maintainer: FreedomBox packaging team <freedombox-pkg-team@lists.alioth.debian.org>
Uploaders:
 Federico Ceratto <federico@debian.org>,
 James Valleroy <jvalleroy@mailbox.org>,
 Sunil Mohan Adapa <sunil@medhas.org>,
Build-Depends-Indep: blends-dev (>= 0.7.2~)
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: https://freedombox.org
Vcs-Browser: https://salsa.debian.org/blends-team/fbx
Vcs-Git: https://salsa.debian.org/blends-team/fbx.git
Rules-Requires-Root: no

Package: fbx-tasks
Architecture: all
Depends: tasksel, ${misc:Depends}
Description: FreedomBox tasks for tasksel
 FreedomBox is designed to be your own inexpensive server at home. It runs free
 software and offers an increasing number of services ranging from a calendar or
 jabber server to a wiki or VPN. A web interface allows you to easily install
 and configure your apps.
 .
 This package provides FreedomBox tasks in tasksel.

Package: fbx-all
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         fbx-tasks (= ${source:Version}),
         freedombox
Recommends: apache2,
            augeas-tools,
            avahi-daemon,
            avahi-utils,
            batctl,
            borgbackup,
            certbot,
            cockpit,
            debsecan,
            ez-ipupdate,
            fail2ban,
            firewalld,
            flite,
            ldap-utils,
            ldapscripts,
            libapache2-mod-auth-pubtkt,
            needrestart,
            network-manager,
            nftables,
            nscd,
            nslcd,
            openssh-server,
            openssl,
            php-fpm,
            python3-openssl,
            samba-common-bin,
            slapd,
            snapper,
            sshfs,
            tdb-tools,
            udisks2,
            unattended-upgrades
Suggests: acl,
          apt-transport-tor,
          bepasty,
          bigbluebutton,
          bind9,
          calibre,
          clamav,
          cockpit-pcp,
          coturn,
          cups,
          dbconfig-pgsql,
          deluge-web,
          deluged,
          diaspora,
          dovecot,
          easy-rsa,
          ejabberd,
          firmware-ath9k-htc,
          gitlab,
          gitweb,
          haveged,
          highlight,
          homeassistant,
          i2p,
          ikiwiki,
          imagemagick,
          infinoted,
          jitsi,
          libdigest-sha-perl,
          libimage-magick-perl,
          libsearch-xapian-perl,
          libxml-writer-perl,
          mastodon,
          matrix-synapse,
          matrix-synapse-ldap3,
          mediawiki,
          minetest-mod-character-creator,
          minetest-mod-craftguide,
          minetest-mod-infinite-chest,
          minetest-mod-lucky-block,
          minetest-mod-maidroid,
          minetest-mod-mesecons,
          minetest-mod-moreblocks,
          minetest-mod-moreores,
          minetest-mod-nether,
          minetest-mod-pipeworks,
          minetest-mod-player-3d-armor,
          minetest-mod-protector,
          minetest-mod-quartz,
          minetest-mod-skyblock,
          minetest-mod-throwing,
          minetest-mod-unified-inventory,
          minetest-mod-unifieddyes,
          minetest-mod-worldedit,
          minidlna,
          mintest-server,
          mldonkey-server,
          monkeysphere,
          mumble-server,
          mumble-web,
          nextcloud,
          obfs4proxy,
          openvpn,
          pagekite,
          php-pgsql,
          php-sqlite3,
          pleroma,
          postfix,
          postgresql,
          privoxy,
          python3-psycopg2,
          quassel-core,
          radicale,
          roundcube,
          roundcube-sqlite3,
          rspamd,
          samba,
          searx,
          shaarli,
          shadowsocks-libev,
          sogo,
          sqlite3,
          syncthing,
          tahoe-lafs,
          tor,
          tor-geoipdb,
          torsocks,
          transmission-daemon,
          tt-rss,
          uwsgi,
          uwsgi-plugin-python3,
          wireguard,
          wordpress,
          xapian-omega
Description: FreedomBox package
 This metapackage will install the FreedomBox service and web interface which
 can be used to install and manage all other FreedomBox apps.

## debian-fbx 2build1

=== debian/changelog ===
debian-fbx (2build1) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 17:46:25 -0400

## debian-fbx 3

=== debian/changelog ===
debian-fbx (3) unstable; urgency=medium

  [ James Valleroy ]
  * Fix typo in minetest-server (Closes: #988199)
  * Set standards version to 4.6.1
  * Update copyright years

  [ Debian Janitor ]
  * d/control: Trim trailing whitespace

  [ Jenkins ]
  * Remove constraints unnecessary since buster

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 13 Dec 2022 11:46:05 -0500

## debian-fbx 3build1

=== debian/changelog ===
debian-fbx (3build1) oracular; urgency=medium

  * No-change rebuild for clamav 1.3.x

 -- Bryce Harrington <bryce@canonical.com>  Wed, 03 Jul 2024 19:13:56 -0700

## debian-fbx 3build2

=== debian/changelog ===
debian-fbx (3build2) plucky; urgency=medium

  * Rebuild against new ppp 2.5.2-1+1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2025 15:22:49 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Federico Ceratto <federico@debian.org>,
  James Valleroy <jvalleroy@mailbox.org>,
  Sunil Mohan Adapa <sunil@medhas.org>,
-Build-Depends-Indep: blends-dev (>= 0.7.2~)
+Build-Depends-Indep: blends-dev
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://freedombox.org
 Vcs-Browser: https://salsa.debian.org/blends-team/fbx
 Vcs-Git: https://salsa.debian.org/blends-team/fbx.git
@@ -118,8 +118,8 @@
           minetest-mod-unified-inventory,
           minetest-mod-unifieddyes,
           minetest-mod-worldedit,
+          minetest-server,
           minidlna,
-          mintest-server,
           mldonkey-server,
           monkeysphere,
           mumble-server,
@@ -161,4 +161,3 @@
 Description: FreedomBox package
  This metapackage will install the FreedomBox service and web interface which
  can be used to install and manage all other FreedomBox apps.
-

## debian-fbx 4

=== debian/changelog ===
debian-fbx (4) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Drop suggesting packages that no longer available (Closes: #1118089)
  * Don't recommend ez-ipupdate which is not used (Closes: #1113831)

  [ James Valleroy ]
  * gbp: Set debian branch to main
  * d/control: Follows policy 4.7.2

 -- James Valleroy <jvalleroy@mailbox.org>  Wed, 29 Oct 2025 18:24:26 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Sunil Mohan Adapa <sunil@medhas.org>,
 Build-Depends-Indep: blends-dev
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://freedombox.org
 Vcs-Browser: https://salsa.debian.org/blends-team/fbx
 Vcs-Git: https://salsa.debian.org/blends-team/fbx.git
@@ -41,7 +41,6 @@
             certbot,
             cockpit,
             debsecan,
-            ez-ipupdate,
             fail2ban,
             firewalld,
             flite,
@@ -77,7 +76,6 @@
           dbconfig-pgsql,
           deluge-web,
           deluged,
-          diaspora,
           dovecot,
           easy-rsa,
           ejabberd,
@@ -87,11 +85,9 @@
           haveged,
           highlight,
           homeassistant,
-          i2p,
           ikiwiki,
           imagemagick,
           infinoted,
-          jitsi,
           libdigest-sha-perl,
           libimage-magick-perl,
           libsearch-xapian-perl,
